/*
* Archivo para manejo general de funciones en el modulo.
*/

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		setFormats();
		comboDynamic();
		
		$("#nombre").focus();
		$('#btnSave').click(
			function(){
				validForm();
				$(".required").blur();
			}
		);

		$('#btnClose').click(
			function () {
				if(confirmClose()){
					oWin.close();
				}
			}
		);
			
		$(".comboEstado").change(
			function(){
				validCombo();
			}
		);
		$(".comboMunicipio").change(
			function(){
				validCombo();
			}
		);
	}
);
	
// Funcion que valida la información
function validCombo(){

	if( $('#gen_estado :selected').val() == 0 ){
		$('#gen_estado').addClass('errorField');
		$('#gen_estado').addClass('errorCombo');
	}else{
		$('#gen_estado').removeClass('errorField');
		$('#gen_estado').removeClass('errorCombo');
	}

	if( $('#gen_municipio :selected').val() == 0 ){
		$('#gen_municipio').addClass('errorField');
		$('#gen_estado').addClass('errorCombo');
	}else{
		$('#gen_municipio').removeClass('errorField');
		$('#gen_municipio').removeClass('errorCombo');
	}
}
// Funcion que valida la información
function validForm()
{
	validCombo();

	var aValidar = $('.errorField');
	
	if( aValidar.length > 0 ){
		alert('Formulario Invalido');
	}else{
		save();
	}
}

// Función que envia la información para ser guardada.
function save() {
	$.post(
		$('#btnSave').attr('action'),
		$('#frmInput').serializeArray(),
		function(response) {
			loadGridRows();
			oWin.close();
		},
		'json'
	);
}