<?php

/**
 * Descargar el XML de un recibo de Nómina
 */
require_once FS_CLASSES . 'NominaDAO.php';

$oNomina = new NominaDAO();
$info = $oNomina->obtenerInformacionNomina($_POST['id_factura']);
$info += $oNomina->obtenerInfoTimbrado($_POST['id_factura']);

$serie = empty($info['serie']) ? '' : $info['serie'] . '-';
$name = FS_TEMP . 'ReciboNomina_' . $serie . $info['folio'] . '_' . rand(1000, 9999). '.xml';
$result['url'] = WS_FRAMEWORK . 'downloadFile.php?file_name=' . $name;

saveUTF8File($name, $info['xml']);

echo json_encode($result);
?>