/**
 *	Archivo para la funcionalidad Editar forma de pago
 **/

/**
 *Inicializacion de la plantilla editar forma de pago
 **/
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		$('#descripcion').focus();

		$('#btnClose').click(
			function () {
				if(confirm("Confirme para salir")){
					loadGridRows();
					oWin.close();
				}
			}
			);
			
		$('#btnSave').click(saveInfo);
	}
	);
		
/**
 * Funcion que guarda la informacion capturada por el usuario
 **/	
function saveInfo(){
	$.post(
		$('#btnSave').attr('url'),
		$('#frmEditForma').serializeArray(),
		function(response){
			if(response.ok){
				successfulOperation("Operacion Exitosa!");
				loadGridRows();
				oWin.close(true);
			} else {
				$('.error').removeClass('error');
				$(response.error.ids).prev().filter('label').addClass('error');
				alert(response.error.msg);
			}
		},
		'json'
		);
}