/*
* Archivo para manejo general de funciones en el modulo.
*/

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		$("#descripcion").focus();
		$('#btnSave').click(
			function(){
				$(".required").blur();
				noDuplicity();
			}
		);

		$('#btnClose').click(
			function () {
				if(confirm("Los cambios efectuados se perderan, ¿Desea salir?")){
					oWin.close();
				}
			}
		);
	}
);
	
function noDuplicity(){
	$.post(
		$('#btnSave').attr('noDuplicity'),
		$('#frmInput').serializeArray(),
		function (response) {
			if( response.ok ){
				validForm();
			} else {
				alert("Registro existente en la base de datos," + 
					" favor de ingresar " + response.field + " diferente.");
			}
		},
		'json'
	);
}

// Funcion que valida la información
function validForm()
{
	var aValidar = $('.errorField');
	
	if( aValidar.length > 0 ){
		alert('Formulario Invalido');
	}else{
		save();
	}
}

// Función que envia la información para ser guardada.
function save(){
	$.post(
		$('#btnSave').attr('action'),
		$('#frmInput').serializeArray(),
		function (response) {
			if( response.ok ){
				loadGridRows();
				successfulOperation(response.msg);
				oWin.close();
			}
		},
		'json'
	);
}