/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
				
		$('#btnSaveContrasena').click(updateContrasena);
		
		$('#btnCloseContrasena').click(
			function () {
				oWinUpdContrasena.close();
			}
		);
	}
);

function updateContrasena()
{
	if (validate('#frmUpdateContrasena')) {
		$.post(
			$('#btnSaveContrasena').attr('url'),
			$('#frmUpdateContrasena').serializeArray(),
			function (response) {
				if (response.error == true) {
					alert(response.msg);
				} else {
					alert('La información ha sido guardada correctamente');
					oWinUpdContrasena.close();
				}
			},
			'json'
		);
	}
}

