/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de variables
var oMenu, oWinConf;

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		setFormats();
		
		$('#btnSave').click(function () {
			postData(false);
		});
		
		tag( $('#select').val() , $('#select option:selected').text() );
		
		$('#btnClose').click(
			function () {
				if(confirm("Los cambios efectuados se perderan, ¿Desea salir?")){
					oWinConf.close();
				}
			}
		);
			
		$('#select').change(
			function () {
				id = $('#select option:selected').val();
				text = $('#select option:selected').text();
				tag( id , text );
			}
		);
	}
);
	
// Función que retorna el tag con el id seleccionado.
function tag( classname , text ){
	var clase = '.' + classname;
	$(clase).show();
	$(clase).find("legend").text(text).addClass("bold");
	$(clase).siblings().hide();
}

// Función que envía la información a guardar.
function postData()
{
	$('.errorField').blur();
	if( $('.errorField').length > 0 ){
		alert('Favor de corregir los campos indicados en rojo.');
	} else {
		$.post(
			$('#btnSave').attr('_url'),
			$('#frmInput').serializeArray(),
			function (response) {
				if (response.ok) {
					$.post(
						$('#btnSave').attr('url_mail'),
						$('#frmInput').serializeArray(),
						function(r){
							if(r){
								$('.error').removeClass('error');
								alert("Informacion Guardada Correctamente.");
							}
						}
					);
					oWinConf.close();
				} else {
					$('.error').removeClass('error');
					$(response.error.ids).prev().filter('label').addClass('error');
					alert(response.error.msg);
				}
			},
			'json'
		);
	}
}