/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de variables
var oMenu, oWinConf, swfu, baseURL;

// Inicialización de eventos a ejecutar
$(document).ready(function() {
	initCssButtons();

	$('#btnSaveConf').click(function() {
		confimChange();
	});

	$('#btnCloseConf').click(
			function() {
				if (confirm("Los cambios efectuados se perderan, ¿Desea salir?")) {
					oWinUpdConfCuenta.close();
				}
			}
	);

	$(".comboEstado").change(function() {
		var source = this;
		//Se envia el post //AJAX
		$.post(
				//Se especifica que el elemento asignado "(this)" ejecute lo que esta en el action
				$(this).attr('action'),
				//Se envia el(los) parametro(s)
						{id_estado: $(this).val()},
				//lo que retorne despues de la ejecución (es decir "response") se asigna a los elementos
				function(response) {
					var comboMunicipio = $(source).closest('.comboDomicilio').find('.comboMunicipio');
					comboMunicipio.html(response);
					comboMunicipio.val(0);
				},
						//Retorna un elemento 'HTML'
						'html'
						)
			});


	$(".comboMunicipio").change(function() {
//		validCombo();
	});
});


// Funcion que valida la información
function validCombo() {

	if ($('#gen_estado :selected').val() == 0) {
		$('#gen_estado').addClass('errorField');
		$('#gen_estado').addClass('errorCombo');
	} else {
		$('#gen_estado').removeClass('errorField');
		$('#gen_estado').removeClass('errorCombo');
	}

	if ($('#gen_municipio :selected').val() == 0) {
		$('#gen_municipio').addClass('errorField');
		$('#gen_estado').addClass('errorCombo');
	} else {
		$('#gen_municipio').removeClass('errorField');
		$('#gen_municipio').removeClass('errorCombo');
	}
}


function confimChange() {
	$.post(
			$('#btnSaveConf').attr('_url'),
			$('#frmInput').serializeArray(),
			function(response) {
				if (!response.invalidPass) {
					$('#id_configuracion_cuenta').val(response.id);
					if (confirm(response.msg)) {
						oWinUpdConfCuenta.close();
					} else {
						$('.contra').val('');
						$("#id_configuracion_cuenta").val(response.id);
					}
				} else {
					alert('Contraseña Incorrecta, favor de validar de nuevo.');
				}
			},
			'json'
			);
}

$('#btnOpenSAT').click(function() {
	//baseURL = $(this).attr('base_url');

	$.post($(this).attr('_url'),
			{},
			function(html) {

				loadJSFile(baseURL + 'jquery.form.js');
				loadJSFile(baseURL + 'ventanaSAT.js');
				$("#ConfigSAT").append("<div class='ConfigSAT'></div>");

				oWinConfSAT = $.newWindow({
					id: 'ConfigSAT',
					title: 'Datos SAT',
					height: 370,
					width: 600,
					posx: 180,
					posy: 120,
					content: html,
					modal: true,
					closeButton: true,
					draggable: true
				});
			}
	);


});
