/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
				
		$('#btnSaveSeries').click(updateSeries);
		
		$('#btnCloseSeries').click(
			function () {
				oWinUpdSeries.close();
			}
		);
	}
);

function updateSeries()
{
	if (validate('#frmUpdateSeries')) {
		$.post(
			$('#btnSaveSeries').attr('url'),
			$('#frmUpdateSeries').serializeArray(),
			function (response) {
				if (response.error != '') {
					alert(response.error);
				} else {
					alert('La información ha sido guardada correctamente');
					oWinUpdSeries.close();
				}
			},
			'json'
		);
	}
}


//function eliminarPaquete()
//{
//	var id = oGridPaq.getSelectedId();
//	
//	if (id != null) {
//		if (confirm('Confirme para eliminar el paquete de la cuenta')) {
//			$.post(
//				$('#btnDelPaq').attr('url'),
//				{ 'id_usuario_paquete' : id },
//				function () {
//					loadGridPaqRows();
//				},
//				'json'
//			);
//		}
//	} else {
//		alert('Debe seleccionar un registro.');
//	}
//}
//
//
//function agregarPaqueteCuenta()
//{
//	$.post(
//		$('#btnAddPaqUser').attr('url'),
//		{
//			'id_usuario' : $('#id_usuario').val(),
//			'id_paquete' : $('#id_paquete').val()
//		},
//		function () {
//			loadGridPaqRows();
//			$('#btnClosePaqUser').click();
//		},
//		'json'
//	);
//}