<?php
/*
 * Archivo para inserción de registro.
 */
require_once(FS_CLASSES . 'UsuariosDAO.php');
require_once(FS_CLASSES . 'PaqueteDAO.php');
require_once(FS_CLASSES . 'ConfiguracionCuentaDAO.php');

// Variable con el post decodificado
$form = array_utf8Decode($_POST['form']);

// Instanciación de objetos
$obj = new UsuariosDAO();
$oPaq = new PaqueteDAO();
$oCfg = new ConfiguracionCuentaDAO();

// Se valida que el campo activo no sea nulo
if( $form['activo'] == null ) {
	$form['activo'] = 0;
}
// Validación de información
$result = $obj->validateData($form);

// Validación en base al resultado de si estan o no bien los campos.
if ($result['ok']) {
	$form['permisos'] =  implode(',', $form['permisos']);
	$result['ok'] = $obj->insertUser($form);
	
	//-- Valida si se generó un ID para insertar el paquete de la cuenta
	if ($result['ok']['@newId']) {
		$form['id_usuario'] = $result['ok']['@newId'];
		$oPaq->insertPaqueteCuenta($form);
		$oCfg->updTipoFormulario($form);
	}
}

echo json_encode_utf8($result);
?>