<?php

/**
 * Crea la lista de municipios para cargar en un select
 */
require_once (FS_CLASSES . 'ProductoServicioDAO.php');

$arr_resp = array();

$oPro = new ProductoServicioDAO();

$id_producto_servicio = $_POST['id_producto_servicio'];
$arr_resp = array_shift($oPro->listarProductosServicios($id_producto_servicio));

$impuestos = $arr_resp['impuestos'];
$precio_unitario = $arr_resp['precio_unitario'];
$tasa_iva = ($arr_resp['tasa_iva'] / 100) + 1;
$tasa_ieps = ($arr_resp['tasa_ieps'] / 100) + 1;
$porc_ret_iva = ($arr_resp['retencion_iva'] / 100) + 1;
$porc_ret_isr = ($arr_resp['retencion_isr'] / 100) + 1;
$porc_ret_ieps = ($arr_resp['retencion_ieps'] / 100) + 1;



if ($impuestos) {
	//IVA
	$precio_unitario_sin_iva = round($precio_unitario / $tasa_iva, 6);

	$iva = $precio_unitario - $precio_unitario_sin_iva;

	$ieps = $precio_unitario_sin_iva - round(($precio_unitario_sin_iva / $tasa_ieps), 6);

	//RETENCION IVA
	$retencion_iva = round(($precio_unitario_sin_iva * $porc_ret_iva), 6) - $precio_unitario_sin_iva;

	//RETENCION ISR
	$retencion_isr = round(($precio_unitario_sin_iva * $porc_ret_isr), 6) - $precio_unitario_sin_iva;
	
	//RETENCION IEPS
	$retencion_ieps = round(($precio_unitario_sin_iva * $porc_ret_ieps), 6) - $precio_unitario_sin_iva;

	$precio_unitario = $precio_unitario_sin_iva - $ieps;
} else {

	$precio_uni_ieps = round(($precio_unitario * $tasa_ieps), 6);

	//IEPS
	$ieps = $precio_uni_ieps - $precio_unitario;
	
	//IVA
	$iva = round(($precio_uni_ieps * $tasa_iva), 6) - $precio_uni_ieps;  
	
	//RETENCION IVA
	$retencion_iva = round(($precio_uni_ieps * $porc_ret_iva), 6) - $precio_uni_ieps;

	//RETENCION ISR
	$retencion_isr = round(($precio_uni_ieps * $porc_ret_isr), 6) - $precio_uni_ieps;
	
	//RETENCION IEPS
	$retencion_ieps = round(($precio_uni_ieps * $porc_ret_ieps), 6) - $precio_uni_ieps;
}


$arr_resp['precio_unitario'] = round($precio_unitario, 6);
$arr_resp['iva'] = round($iva, 6);
$arr_resp['ieps'] = round($ieps, 6);
$arr_resp['ret_iva'] = round($retencion_iva, 6);
$arr_resp['ret_isr'] = round($retencion_isr, 6);
$arr_resp['porc_ret_ieps'] = $arr_resp['retencion_ieps'];
$arr_resp['retencion_ieps'] = round($retencion_ieps, 6);

echo json_encode($arr_resp);
?>