<?php

/**
 * Activa o desactiva el registro seleccionado por el usuario
 */
require_once FS_CLASSES . 'FacturasDAO.php';
require_once('./nusoap/nusoap.php');
require_once(FS_CLASSES . 'ConfWsdlDAO.php');

$urlWsdl = new ConfWsdlDAO();
$timbradoWsdl = $urlWsdl->getConfigWsdl();
$client = new nusoap_client($timbradoWsdl['cancelacion'], true);


$id_factura = $_POST['nId_factura'];
$fac = new FacturasDAO();


$status_fac = $fac->getStatus($id_factura);


if ($status_fac['cancelada'] == 0) {
	if ($status_fac['timbrada'] == 1) {

		$err = $client->getError();
		if ($err) {
			die('<h2>Constructor error</h2><pre>' . $err . '</pre>');
		}

		$cfdi = array(
			'uuid' => $status_fac['uuid'],
			'rfc' => $status_fac['rfc']
		);

		$result_cancelacion = $client->call('cancelacionCFDi', array('in' => $cfdi));
		
		if ($client->fault) {
			echo '<h2>Error Fault</h2>';
		} else {
			$err = $client->getError();
			if ($err) {
				echo '<h2>Error</h2><pre>' . $err . '</pre>';
			} else {
				if ($result_cancelacion['result'] == 0) {
					$result = $fac->cancelarFactura($id_factura);
					if ($result['id_factura'] > 0) {
						$result['msg'] = "Operacion exitosa!";
					}
				}else{
					$result['msg'] = $result_cancelacion['message'];
				}
			}
		}
	} else {
		$result = $fac->cancelarFactura($id_factura);
		if ($result['id_factura'] > 0) {
			$result['msg'] = "Operacion exitosa!";
		}
	}
} else {
	$result['msg'] = "Esta factura se encuentra cancelada.";
}

echo json_encode_utf8($result);
?>