<?php

/**
 * Carga la plantilla HTML a mostrar al usuario
 */
require_once (FS_CLASSES . 'FacturasDAO.php');
require_once (FS_CLASSES . 'ClienteDAO.php');
require_once (FS_CLASSES . 'SucursalDAO.php');
require_once (FS_CLASSES . 'UnidadMedidaDAO.php');


$oTpl->load(FS_LISTADO_FACTURAS . 'capturaSimple/consultar/consultar.html');

$id_comprobante = $_POST['nId_factura'];
$obj = new FacturasDAO();
$row = array_shift($obj->listarFactura($id_comprobante));
$total = $obj->obtenerInformacionFactura($_POST['nId_factura']);
$obj->setProperties($row);

$oTpl->setVar(
	array(
		'CLIENTE'=> $obj->get_cliente(),
		'SUCURSAL'=>$obj->get_sucursal_emisora(),
		'TASA_IVA'=>$obj->get_tasa_iva(),
		'METODO_PAGO'=>$obj->get_metodo_pago(),
		'LOAD_GRID_CONCEPTOS' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/consultar/loadRows')),
		'OBSERVACIONES'=>$obj->get_observaciones(),
		'FORMA_PAGO' => $obj->get_forma_pago(),
		'FSUBTOTAL' => pesos($total['subtotal']),
		'FIVA' => pesos($total['iva']),
		'FRETENCIONIVA' => pesos($total['retencion_iva']),
		'FTOTAL' => pesos($total['total']),
		'DIGITOS_TARJETA' => $obj->get_digitos_tarjeta(),
		'ID_FACTURA'=>$id_comprobante
	)
);

$oTpl->publish();

?>