<?php
require_once ('ConfiguracionCuenta.php');

/**
 * @author Angel
 * @version 1.0
 * @created 20-ago-2013 02:57:30 p.m.
 */
class ConfiguracionCuentaDAO extends ConfiguracionCuenta
{

	/**
	 * 
	 * @param data
	 */
	public function validateData($data)
	{
		return $data;
	}

	/**
	 * 
	 * @param data
	 */
	public function insConfiguracionCuenta($values)
	{
		return $values;
	}
	
	/**
	 * Inserta/Actualiza registro de configuracion de la cuenta y almacena
	 * el tipo de fomulario para la captura de los comprobantes.
	 * @param array $values
	 * @return void
	 */
	public function updTipoFormulario($values)
	{
		$spName = "stp_updTipoFormulario(:id_usuario,:tipo_formulario)";
		$this->executeSP($spName, $values);
	}
	
	/**
	 * 
	 * @param data
	 */
	public function updConfiguracionCuenta($values)
	{
		$spName = 
			"stp_updConfiguracionCuenta(
				    :id_configuracion_cuenta,
					:id_usuario,
					:nombre,
					:rfc,
					:id_regimen_fiscal,
					:e_mail,
					:tasa,
					:calle,
					:num_ext,
					:num_int,
					:colonia,
					:codigo_postal,
					:id_estado,
					:id_municipio,
					:telefonos,
					:logotipo,
					:id_plantilla,
					:alto,
					:ancho,
					:pos_x,
					:pos_y
			)";
		return $this->executeSP($spName, $values);
	}
public function updConfiguracionCertificado($values)
	{
		$spName = 
			"stp_InsUpdCertificados(
					:nId_usuario,
					:sNumero_certificado,
					:bLlave,
					:bCertificado,
					:dVigencia_desde,
					:dVigencia_hasta
			)";
		return $this->executeSP($spName, $values);
	}
	/**
	 * 
	 * @param id_usuario
	 */
	public function cargaCertificado($id_usuario)
	{
		$values['nId_usuario'] = $id_usuario;
		$spName = "stp_Certificados(:nId_usuario)";
		return $this->executeSP($spName, $values);
	}
	
	/**
	 * 
	 * @param id_usuario
	 */
	public function cargaConfiguracionCuenta($id_usuario)
	{
		$values['id'] = $id_usuario;
		$spName = "stp_ConfiguracionCuenta(:id)";
		return $this->executeSP($spName, $values);
	}

}
?>