<?php
class Estados extends DBConnector {

	private $id_estado;
	private $nombre;

	/**
	 * Funcion que ejecuta la consulta de todos los datos y 
	 * devuelve solo la que tenga el id especificado, si no se especifica retorna todos los
	 * registros.
	 * @param var $id
	 * @return array
	 */
	public function listar($id = null) {
		$row = array();
		$row = $this->executeSP('stp_Estados(:id_estado)', array('id_estado' => $id));

		return $row;
	}
	
	public function buildCombo( $id = null ){
		$rows = $this->listar();
		$options = listForCombo($rows, "id_estado", "nombre", $id);
		
		return $options;
	}

}