<?php
class Municipios extends DBConnector
{
	private $id_municipio;
	private $id_estado;
	private $nombre;

	/**
	 * Funcion que ejecuta la consulta de todos los datos y 
	 * devuelve solo la que tenga el id especificado, si no se especifica retorna todos los
	 * registros.
	 * @param var $id
	 * @return array
	 */
	public function obtenerMunicipio($id_estado, $id_municipio) {
		$sp = 'stp_Municipios(:id_estado, :id_municipio)';
		$row = array_shift($this->executeSP($sp, array('id_estado' => $id_estado, 'id_municipio' => $id_municipio)));
		return $row;
	}
	public function listar($id = null) {
		$row = array();
		$row = $this->executeSP('stp_Municipios(:id_estado, :id_municipio)', array('id_estado' => $id), array('id_municipio' => null));

		return $row;
	}
	
	public function buildCombo( $idEstado = null , $idMunicipio = null ){
		$rows = $this->listar($idEstado);
		$options = listForCombo($rows, "id_municipio", "nombre", $idMunicipio);
		return $options;
	}
}
