/* 
 *  -Los elementos tipo "select" que contengan estas clases 
 * Ejecutan el "POST" por AJAX a partir del evento "change"
 * para cargar los elementos siguientes.
 * 
 * @description Ejecucion en casacada 
 */
    function comboDynamic()
    {        
        $('.comboEstado').change(
            function(){
                var source = this;
                //Se envia el post //AJAX
                $.post(
                    //Se especifica que el elemento asignado "(this)" ejecute lo que esta en el action
                    $(this).attr('action'),
                    //Se envia el(los) parametro(s)
                    {id_estado : $(this).val()},
                    //lo que retorne despues de la ejecución (es decir "response") se asigna a los elementos
                    function (response) {
                        var comboMunicipio = 
								$(source).closest('.comboDomicilio').find('.comboMunicipio');
						comboMunicipio.html(response);
						comboMunicipio.val(0);
                    },
                    //Retorna un elemento 'HTML'
                    'html'
                )
            comboMunicipio();
            }
        );
    }
    
    function comboMunicipio()
    {
        $('.comboMunicipio').change(
            function(){
                if($(this).closest('.comboDomicilio').find('.comboColonia').length){
                    var source = this;
                    //Se envia el post //AJAX
                    $.post(
                        //Se especifica que el elemento asignado "(this)" ejecute lo que esta en el action
                        $(this).attr('action'),
                        //Se envia el(los) parametro(s)
                            {id_municipio : $(this).val(),
                            id_estado : $(source).val()},
                        //lo que retorne despues de la ejecución (es decir "response") se asigna a los elementos
                        function (response) {
                            $(source).closest('.comboDomicilio').find('.comboColonia').html(response);
                        },
                        //Retorna un elemento 'HTML'
                        'html'
                    )
                }
            }
        );

        $('.comboColonia').change(
                function(){
                    $(this).closest('.comboDomicilio').find('.cp').val($('.comboColonia option:selected').attr('cp'));
                }
        );

    }