<?php
/*============================================*/
/* Constantes particulares para la aplicación */
/*============================================*/
define('APP_TITLE', 'Softnet Invoicing');
define('APP_COPYRIGHT', 'Copyright &copy; 2014 Softnet Soluciones, S.A. de C.V.');

//-- Tema para JQuery UI (default, smoothness, lightness, flick, redmond, sunny)
define('UI_THEME', 'custom');

//-- Estilo para Registros inactivos en grids
define('DISABLED_ROW_STYLE', 'color:#a0a0a0;text_decoration:italic;');

//-- Tipos de Perfiles y Usuarios
define('TIPO_PERFIL_USUARIO', 'Usuario');
define('TIPO_PERFIL_ADMINISTRADOR', 'Administrador');
define('TIPO_USUARIO_USUARIO', TIPO_PERFIL_USUARIO);
define('TIPO_USUARIO_ADMINISTRADOR', TIPO_PERFIL_ADMINISTRADOR);

//-- Tipos de comprobantes
define('TIPO_COMPROBANTE_FACTURA', 1);

////----------------------------------------------------------------------------
////------------CONSTANTES---CONFIGURACION--------------------------------------
////----------------------------------------------------------------------------
define('FS_CUENTASUSUARIOS', FS_APP . 'cuentas/');
define('WS_CUENTASUSUARIOS', WS_APP . 'cuentas/');
define('WS_CONFIGURACION', WS_APP . 'configuracion/');
define('FS_CONFIGURACION', FS_APP . 'configuracion/');
define('WS_CATALOGOS', WS_APP . 'catalogos/');
define('FS_CATALOGOS', FS_APP . 'catalogos/');
define('WS_FACTURACION', WS_APP . 'facturacion/');
define('FS_FACTURACION', FS_APP . 'facturacion/');


define('WS_COBRANZA', WS_APP . 'cobranza/');
define('FS_COBRANZA', FS_APP . 'cobranza/');

define('WS_CONFIGURACION_CONFIGURACION', WS_CONFIGURACION . 'configuracion/');
define('FS_CONFIGURACION_CONFIGURACION', FS_CONFIGURACION . 'configuracion/');

define('WS_CONFIGURACION_CONFIG_CUENTA', WS_CONFIGURACION . 'configuracionCuenta/');
define('FS_CONFIGURACION_CONFIG_CUENTA', FS_CONFIGURACION . 'configuracionCuenta/');

define('WS_CONFIGURACION_CONFIG_PLANTILLA_LOGO', WS_CONFIGURACION . 'configPlantillaLogo/');
define('FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO', FS_CONFIGURACION . 'configPlantillaLogo/');

define('WS_CONFIGURACION_CONFIG_CONTRASENA', WS_CONFIGURACION . 'configContrasena/');
define('FS_CONFIGURACION_CONFIG_CONTRASENA', FS_CONFIGURACION . 'configContrasena/');

//define('WS_CONFIGURACION_CONFIG_CUENTA', WS_CONFIGURACION . 'configCuenta/');
//define('FS_CONFIGURACION_CONFIG_CUENTA', FS_CONFIGURACION . 'configCuenta/');
define('WS_CONFIGURACION_CONFIG_SERIES', WS_CONFIGURACION . 'series/');
define('FS_CONFIGURACION_CONFIG_SERIES', FS_CONFIGURACION . 'series/');

define('WS_CONFIGURACION_CONFIG_WSDL', WS_CONFIGURACION . 'configwsdl/');
define('FS_CONFIGURACION_CONFIG_WSDL', FS_CONFIGURACION . 'configwsdl/');

define('FS_LISTADO_FACTURAS', FS_FACTURACION . 'listadoFacturas/');
define('WS_LISTADO_FACTURAS', WS_FACTURACION . 'listadoFacturas/');

define('FS_LISTADO_COBRANZA', FS_COBRANZA . 'listadoCobranza/');
define('WS_LISTADO_COBRANZA', WS_COBRANZA . 'listadoCobranza/');


define('WS_CONFIGURACION_PERFILES', WS_CONFIGURACION . 'perfiles/');
define('FS_CONFIGURACION_PERFILES', FS_CONFIGURACION . 'perfiles/');
define('WS_CONFIGURACION_USUARIOS', WS_CONFIGURACION . 'usuarios/');
define('FS_CONFIGURACION_USUARIOS', FS_CONFIGURACION . 'usuarios/');
define('FS_PLANTILLAS', FS_CATALOGOS . 'plantillas/');
define('WS_PLANTILLAS', WS_CATALOGOS . 'plantillas/');
define('FS_COMPROBANTES_FISCALES', FS_CATALOGOS . 'comprobantesFiscales/');
define('WS_COMPROBANTES_FISCALES', WS_CATALOGOS . 'comprobantesFiscales/');
define('FS_C_FISCALES_PANTALLA_INICIAL', FS_COMPROBANTES_FISCALES . '_pantalla_inicial/');
define('WS_C_FISCALES_PANTALLA_INICIAL', WS_COMPROBANTES_FISCALES . '_pantalla_inicial/');
define('FS_PLANTILLAS_PANTALLA_INICIAL', FS_PLANTILLAS . '_pantalla_inicial/');
define('WS_PLANTILLAS_PANTALLA_INICIAL', WS_PLANTILLAS . '_pantalla_inicial/');
define('FS_UNIDADES_MEDIDA', FS_CATALOGOS . 'unidadesMedida/');
define('WS_UNIDADES_MEDIDA', WS_CATALOGOS . 'unidadesMedida/');
define('FS_FORMAS_PAGO', FS_CATALOGOS . 'formasPago/');
define('WS_FORMAS_PAGO', WS_CATALOGOS . 'formasPago/');
define('FS_MODALIDADES_PAGO', FS_CATALOGOS . 'modalidadesPago/');
define('WS_MODALIDADES_PAGO', WS_CATALOGOS . 'modalidadesPago/');
define('FS_REGIMENES_FISCALES', FS_CATALOGOS . 'regimenesFiscales/');
define('WS_REGIMENES_FISCALES', WS_CATALOGOS . 'regimenesFiscales/');
define('FS_R_FISCALES_PANTALLA_INICIAL', FS_REGIMENES_FISCALES . '_pantalla_inicial/');
define('WS_R_FISCALES_PANTALLA_INICIAL', WS_REGIMENES_FISCALES . '_pantalla_inicial/');
define('FS_PRODUCTOS_SERV', FS_CATALOGOS . 'productosServicios/');
define('WS_PRODUCTOS_SERV', WS_CATALOGOS . 'productosServicios/');
define('FS_PS_PANTALLA_INICIAL', FS_PRODUCTOS_SERV . '_pantalla_inicial/');
define('WS_PS_PANTALLA_INICIAL', WS_PRODUCTOS_SERV . '_pantalla_inicial/');
define('FS_APROBACIONES', FS_APP . 'aprobaciones/');
define('WS_APROBACIONES', WS_APP . 'aprobaciones/');
define('FS_ADMON_CLIENTES', FS_APP . 'admonClientes/');
define('WS_ADMON_CLIENTES', WS_APP . 'admonClientes/');
define('FS_A_CLIENTES_PANTALLA_INICIAL', FS_ADMON_CLIENTES . '_pantalla_inicial/');
define('WS_A_CLIENTES_PANTALLA_INICIAL', WS_ADMON_CLIENTES . '_pantalla_inicial/');

define('FS_ADMON_NOMINA', FS_APP . 'admonNomina/');
define('WS_ADMON_NOMINA', WS_APP . 'admonNomina/');
define('FS_A_NOMINA_PANTALLA_INICIAL', FS_ADMON_NOMINA . 'nomina/');
define('WS_A_NOMINA_PANTALLA_INICIAL', WS_ADMON_NOMINA . 'nomina/');
define('FS_A_EMPLEADOS_PANTALLA_INICIAL', FS_ADMON_NOMINA . 'empleados/');
define('WS_A_EMPLEADOS_PANTALLA_INICIAL', WS_ADMON_NOMINA . 'empleados/');

define('FS_SUCURSALES', FS_CATALOGOS . 'sucursales/');
define('WS_SUCURSALES', WS_CATALOGOS . 'sucursales/');
define('FS_DATA', FS_ROOT . '../data/');
define('WS_DATA', WS_ROOT . '../data/');
define('FS_DATA_PLANTILLAS', FS_DATA . 'plantillas/');
define('WS_DATA_PLANTILLAS', WS_DATA . 'plantillas/');
define('FS_DATA_LOGOTIPOS', FS_DATA . 'logotipos/');
define('WS_DATA_LOGOTIPOS', WS_DATA . 'logotipos/');
define('FS_IMAGENES_PLANTILLAS', FS_DATA . 'imagenes_plantillas/');
?>
