<?php
/**
 * Este archivo carga el base del html, y establece las variables a utilizar del mismo.
 * 
 */
require_once FS_CLASSES . 'ClienteDAO.php';
require_once FS_CLASSES . 'Estados.php';
require_once FS_CLASSES . 'Municipios.php';

$estados = new Estados();
$municipios = new Municipios();
$obj = new ClienteDAO();
$row = array_shift($obj->buscarCliente($_POST['id']));
$oTpl->load(FS_ADMON_CLIENTES . 'consultar/consultar.html');

foreach ($row as $key => $value) {
	$nKey = strtoupper($key);
	$rows[$nKey] = $value;
}

$today = getdate();
$hoy = $today['year'] . '-' . $today['mon'] . '-' . $today['mday'];

$extra = array(
		'URL_LISTA_MUNICIPIOS' => 
			encodeQueryString(array('do' => FS_ADMON_CLIENTES . 'functions/loadMunicipios')),
		'ESTADO_OPTIONS' => $estados->buildCombo($row['id_estado']),
		'MUNICIPIO_OPTIONS' => $municipios->buildCombo($row['id_estado'],$row['id_municipio'])
	);
$array = array_merge($extra,$rows);

$oTpl->setVar($array);

$oTpl->markCheckbox('activo',$row['activo']);
$oTpl->publish();

?>