<?php

/**
 * Este archivo esta encargado de actualizar el listado de empleados.
 * 
 */
require_once FS_CLASSES . 'ClienteDAO.php';
require_once FS_FRAMEWORK . 'classes/PHPExcel.php';
include_once FS_FRAMEWORK . 'classes/PHPExcel/IOFactory.php';
$obj = new ClienteDAO();

$id_user = $_SESSION['user']->id_usuario;

$fileName = FS_DATA . "excel/personal_file_".$id_user.".xlsx";
if (!file_exists($fileName)) {
	exit("Error en la cargar del archivo.");
}

$callStartTime = microtime(true);
$objPHPExcel = PHPExcel_IOFactory::load($fileName);

$sheetData = $objPHPExcel->getActiveSheet()->toArray(null,true,true,true);
asort($sheetData);
array_shift($sheetData);

$values = array();
foreach ($sheetData as $row){
	$row = array_utf8Decode($row);
		if(!empty($row['A']) && $row['A'] != '# EMPLEADO'){
		$values['nId_usuario']		= $id_user;
		$values['nId_empleado']		= $row['A'];
		$values['sNombre']			= $row['B'];
		$values['sEmail']			= $row['C'];
		$values['sRfc']				= $row['D'];
		$values['sCurp']			= $row['E'];
		$values['nNss']				= $row['F'];
		$values['nTipoRegimen']		= $row['G'];
		$values['dFechaContrato']	= $row['H'];
		$values['fSalarioBase']		= $row['I'];
		$values['fSalarioDiario']	= $row['J'];
		
		$values['sPuesto']			= $row['K'];
		$values['sTipoContrato']	= $row['L'];
		$values['sTipoJornada']		= $row['M'];
		$values['nRiesgoPuesto']	= $row['N'];
		
		$empleado = $obj->insEmpleado($values);
	}
}

	unlink($fileName);

	$result['msg'] = "Listado de empleados cargado con exito.";
	
	echo json_encode($result);
?>
