<?php
ini_set('max_execution_time', 0);
require_once (FS_FRAMEWORK . 'swift/lib/swift_required.php');
require_once(FS_CLASSES . 'NominaDAO.php');
$nom = new NominaDAO();

$id_nomina = $_POST['nId_nomina'];
$dFecha_corte = $_POST['fecha_corte'];
$mail = $_POST['mail'];
$message = 'enviado';
$enviar = true;

if (empty($id_nomina) || $id_nomina == '') {

	$info_nomina = $nom->obtenerMailEmpleado(0, $dFecha_corte);
	
	$total_correos = count($info_nomina);
	$pendientes = "0";
	$enviados = "0";
	$log_correos = "";
	foreach ($info_nomina as $rw) {
		$id_nomina = $rw['id_nomina'];
		$email = $rw['e_mail'];
		$id_empleado = $rw['id_empleado'];
		
		$pdf = include FS_ADMON_NOMINA . 'nomina/imprimir/imprimirNomina.php';
		$pdf = json_decode($pdf);
		
		$res = $nom->obtenerInfoTimbrado($id_nomina);
		
		if (!empty($res['uuid'])) {
			$xml = $res['xml'];
			$folio_nomina = $res['folio'];
			if (!file_exists(FS_TEMP))
				mkdir(FS_TEMP);

			$name_xml = FS_TEMP . "nomina_" . $folio_nomina . ".xml";
			$name_pdf = FS_TEMP . $pdf->name_file;
			

			$doc_xml = new DOMDocument();
			$doc_xml->loadXML(utf8_encode($xml));
			$doc_xml->saveXML();
			$file = $doc_xml->save($name_xml);
			// Valida si existe el archivo "mail.config".
			if (file_exists(FS_CONFIG . 'utils/mail_config/mail.config')) {
				if ($email != '') {
					$file = fopen(FS_CONFIG . 'utils/mail_config/mail.config', 'r');
					$info = fread($file, filesize(FS_CONFIG . 'utils/mail_config/mail.config'));
					$cnx = explode('|', $info);

					$oTrans = new Swift_SmtpTransport($cnx[0], $cnx[1]);
					$oTrans->setUsername($cnx[2]);
					$oTrans->setPassword($cnx[3]);

					$oMailer = new Swift_Mailer($oTrans);

					$url = preg_replace('/(http:\/\/.+\/)(src\/.*)/i', '$1', $_SERVER['HTTP_REFERER']);

					$msg = "
			Se anexa el siguiente comprobante fiscal digital en los siguientes formatos:  \n\n
				*  PDF:  " . $pdf->name_file . " \n
				*  XML:  nomina_" . $folio_nomina . ".xml
				\n\n
			Se anexan los archivos PDF y XML esto como complemento de esquema de Nomina WEB";



					$oMsg = new Swift_Message('INVOICING - NOMINA ' . $dFecha_corte);
					$oMsg->setFrom(array($cnx[2] => 'Softnet Invoicing'));

					// Archivos Adjuntos
					if (isset($name_xml) && isset($name_pdf)) {
						$params['attachment'] = array($name_xml, $name_pdf);
						$attachment = $params['attachment'];
						foreach ($attachment as $attach) {
							if (is_file($attach)) {
								$oMsg->embed(Swift_Image::fromPath($attach));
							}
						}
					}
					$list_mail = explode(";", trim($email));
					$oMsg->setTo($list_mail);
					$oMsg->setBody($msg);
					$result_mail = $oMailer->send($oMsg);
					if (file_exists($name_pdf))
					unlink($name_pdf);
					if (file_exists($name_xml))
					unlink($name_xml);
					unlink(FS_TEMP . "cbb" . $id_nomina . ".jpg");
					$enviados++;
				} else {
					$log_correos = "\n\nFallo el envio al empleado " . $id_empleado;
					$pendientes++;
				}
			}
		}  else {
			$log_correos = "\n\nComprobante sin timbrar del empleado " . $id_empleado;
			$pendientes++;
		}
	}
	
	$result['message'] = "Correos enviados " . $enviados . " de " . $total_correos.", pendientes ".$pendientes." ".$log_correos;
	echo json_encode($result);
} else {

	$pdf = require_once FS_ADMON_NOMINA . 'nomina/imprimir/imprimirNomina.php';
	$pdf = json_decode($pdf);
	$res = $nom->obtenerInfoTimbrado($id_nomina);
	$inf_nom = $nom->obtenerInformacionNomina($id_nomina);

	$xml = $res['xml'];

	$folio_nomina = $res['folio'];
	if (!file_exists(FS_TEMP))
		mkdir(FS_TEMP);

	$name_xml = FS_TEMP . "nomina_" . $folio_nomina . ".xml";
	$name_pdf = FS_TEMP . $pdf->name_file;

	$doc_xml = new DOMDocument();
	$doc_xml->loadXML(utf8_encode($xml));
	$doc_xml->saveXML();
	$file = $doc_xml->save($name_xml);


	// Valida si existe el archivo "mail.config".
	if (file_exists(FS_CONFIG . 'utils/mail_config/mail.config')) {
		if ($mail != '') {
			$file = fopen(FS_CONFIG . 'utils/mail_config/mail.config', 'r');
			$info = fread($file, filesize(FS_CONFIG . 'utils/mail_config/mail.config'));
			$cnx = explode('|', $info);

			$oTrans = new Swift_SmtpTransport($cnx[0], $cnx[1]);
			$oTrans->setUsername($cnx[2]);
			$oTrans->setPassword($cnx[3]);

			$oMailer = new Swift_Mailer($oTrans);

			$url = preg_replace('/(http:\/\/.+\/)(src\/.*)/i', '$1', $_SERVER['HTTP_REFERER']);

			$msg = "
		Se anexa el siguiente comprobante fiscal digital en los siguientes formatos:  \n\n
			*  PDF:  " . $pdf->name_file . " \n
			*  XML:  nomina_" . $folio_nomina . ".xml
			\n\n
		Se anexan los archivos PDF y XML esto como complemento de esquema de Nomina WEB";



			$oMsg = new Swift_Message('INVOICING - NOMINA ' . $inf_nom['fecha_pago']);
			$oMsg->setFrom(array($cnx[2] => 'Softnet Invoicing'));

			// Archivos Adjuntos
			if (isset($name_xml) && isset($name_pdf)) {
				$params['attachment'] = array($name_xml, $name_pdf);
				$attachment = $params['attachment'];
				foreach ($attachment as $attach) {
					if (is_file($attach)) {
						$oMsg->embed(Swift_Image::fromPath($attach));
					}
				}
			}
			$list_mail = explode(";", trim($mail));
			$oMsg->setTo($list_mail);
			$oMsg->setBody($msg);
			$result_mail = $oMailer->send($oMsg);
			unlink($name_pdf);
			unlink($name_xml);
			unlink(FS_TEMP . "cbb" . $id_nomina . ".jpg");
			
			$result_msg = "Debe ingresar un correo electronico";
			echo json_encode($result_msg);
		} else {
			$result = "Debe ingresar un correo electronico";
			echo $result;
		}
	}
}
?>