/**
 *	Archivo para la funcionalidad Agregar Aprobacion
 **/

/**
 *Inicializacion de la plantilla agregar Aprobacion
 **/
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		setFormats();
		
		$('#folio_inicial').change(
			function(){
				var cantidad = $('#cantidad').val();
				if(cantidad != ""){
					$('#folio_final').val(parseInt(cantidad) + parseInt($('#folio_inicial').val()) - 1);
				}
			}
		);
			
		$('#cantidad').change(
			function(){
				var inicial = $('#folio_inicial').val();
				if(inicial != ""){
					$('#folio_final').val(parseInt(inicial) + parseInt($('#cantidad').val()) - 1);
				}
			}
		);
			
		$('#folio_final').change(
			function(){
				var inicial = $('#folio_inicial').val();
				if(inicial != ""){
					$('#cantidad').val(parseInt($('#folio_final').val()) - parseInt(inicial) + 1);
				}
			}
		);

		$('#btnClose').click(
			function () {
				if(confirm("Confirme para salir")){
					loadGridRows();
					oWin.close();
				}
			}
			);
			
		$('#btnSave').click(saveInfo);
	}
	);

/**
 * Funcion que guarda la informacion capturada por el usuario
 **/	
function saveInfo(){
	$.post(
		$('#btnSave').attr('url'),
		$('#frmAddAprobacion').serializeArray(),
		function(response){
			if(response.ok){
				successfulOperation(response.msg);
				loadGridRows();
				oWin.close(true);
			} else {
				$('.error').removeClass('error');
				$(response.error.ids).prev().filter('label').addClass('error');
				alert(response.error.msg);
			}
		},
		'json'
		);
}