<?php
/*
 * Archivo para inserción de registro.
 */

require_once FS_CLASSES . 'ProductoServicioDAO.php';

// Variable con el post decodificado
$_POST = array_utf8Decode($_POST);
$values = $_POST['form'];

cleanMoney($values['precio_unitario']);
cleanPercent($values['tasa_iva']);
cleanPercent($values['tasa_ieps']);
cleanPercent($values['retencion_iva']);
cleanPercent($values['retencion_isr']);
cleanPercent($values['retencion_ieps']);

// Se valida que el campo activo no sea nulo
if( $values['activo'] == null ){
	$values['activo'] = 0;
}
// Se valida si se debe desglozar impuestos
if($values['con_impuestos'] == 'on'){
	$values['con_impuestos'] = 1;
}else{
	$values['con_impuestos'] = 0;
}
// Instanciación de objeto
$obj = new ProductoServicioDAO();
$fin = "";

// Envio de información para guardado
$fin = $obj->updProductoServicio($values);

// Validación en base al resultado de una correcta inserción
if( !$fin ){
	$result['ok'] = true;
	$result['msg'] = " Operacion exitosa! ";
} else {
	$result['ok'] = false;
}

echo json_encode_utf8($result);
?>