/**
 *	Archivo para la funcionalidad Agregar sucursal
 **/

/**
 *Inicializacion de la plantilla agregar sucursal
 **/
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		setFormats();
		comboDynamic();
		
		$('#nombre').focus();
		
		$('#btnClose').click(
			function () {
				if(confirm("Confirme para salir")){
					loadGridRows();
					oWin.close();
				}
			}
			);
			
		$('#btnSave').click(saveInfo);
	}
);

/**
 * Funcion que guarda la informacion capturada por el usuario
 **/	
function saveInfo(){
	if($("#numero_ext").val() == ''){
		$("#numero_ext").val(0);
	}
	if($("#numero_int").val() == ''){
		$("#numero_int").val(0);
	}
	
	if (validate('#frmAddSucursal')) {
		$.post(
			$('#btnSave').attr('url'),
			$('#frmAddSucursal').serializeArray(),
			function(response){
				if(response.ok){
					successfulOperation(response.msg);
					loadGridRows();
					oWin.close(true);
				} else {
					$('.error').removeClass('error');
					$(response.error.ids).prev().filter('label').addClass('error');
					alert(response.error.msg);
				}
			},
			'json'
		);
	}
}