/*
 * Archivo para manejo general de funciones en el modulo.
 */
 
// Inicialización de variables a usar en el archivo
var oSubmenu, oGrid, oWinConf, baseURL;

// Inicialización de eventos a ejecutar
$(document).ready(
	function () {
		initCssButtons();
		initInactiveControls();
		//-- URL base del modulo
		baseURL = $('#container').attr('base_url');
                
		openConfiguracion();
	}
);

// Abre la ventana principal de la funcionabilidad
function openConfiguracion()
{
	$.post(
		$('#container').attr('action_url'),
		{},
		function (html) {
			oWinConf = $.newWindow(
				{
					id:'wAddRec', 
					title:'Configuración de Operación de Cuenta', 
					height:400, 
					width:600, 
					posx: 180, 
					posy: 120, 
					content:html,
					modal:true,
					closeButton:true,
					draggable:false
				}
			);
			loadJSFile(baseURL + 'ventana.js');
			$(".window-closeButton").hide();
			
			initUploader({
				fileTypes : SWFUPLOAD_fileTypes,
				fileTypesDescription : SWFUPLOAD_fileTypesDescription,
				fileSizeLimit : SWFUPLOAD_fileSizeLimit,
				uploadPath : $('#container').attr('log_url'),
				finalName : 'Logo_' + $('#id_usuario').val() + '.jpg', 
				progressBarWidth : 459,
				onCompletedAction : 'sendForm()',
				idFilenameInput : 'logotipo',
				url : $('#container').attr('swf_uploader')
			});
		}
	);
}