/*
 * Archivo que carga funciones y eventos del módulo.
 */

// Inicialización de variables
var oMenu, oWinConf, swfu, baseURL;

// Inicialización de eventos a ejecutar
$(document).ready(function() {
	tag($('#select').val(), $('#select option:selected').text());
	initCssButtons();
	initInactiveControls();
	setFormats();
	comboDynamic();

	$('#btnSave').click(function() {
		postData();
	});

	$('#btnEnviar').click(
			function() {
				swfu.startUpload();
			}
	);

	$("#confirmar").change(
			function() {
				$("#confirmar").blur();
			}
	);

	$("#confirmar").blur(
			function() {
				if ($("#confirmar").val() != $("#nueva").val()) {
					$("#nuevaC").addClass("error");
					$("#confirmarC").addClass("error");
					$("#messageError").text("Contraseña nueva no coincide con la confirmación.");
					$("#messageError").addClass("error");
				} else {
					$("#nuevaC").removeClass("error");
					$("#confirmarC").removeClass("error");
					$("#messageError").text("");
					$("#messageError").removeClass("error");
				}
			}
	);

	$('#btnLimpiar').click(
			function() {
				var logotipo = $('#logotipo').val();
				eraseFile(logotipo);
				$('.logotipo').find('input').val('');
				var url = $('#img').attr('default');
				$('#img').attr("src", url);
				swfu.cancelQueue();
			}
	);

	$('#btnClose').click(
			function() {
				if (confirm("Los cambios efectuados se perderan, ¿Desea salir?")) {
					oWinConf.close();
				}
			}
	);
	$('#select').change(
			function() {
				id = $('#select option:selected').val();
				text = $('#select option:selected').text();
				tag(id, text);
			}
	);
}
);

// Función que retorna el tag con el id seleccionado.
function tag(classname, text) {
	var clase = '.' + classname;
	$(clase).show();
	$(clase).find("legend").text(text).addClass("bold");
	$(clase).siblings().hide();
}

// Función que envía la información a guardar.
function postData()
{
	$('.campo').removeClass('.error');
	$('.errorField').blur();
	$('.error').blur();
	$('.campo').blur();
	if ($('.errorField').length > 0 || $('.error').length > 0) {
		alert('Favor de corregir los campos indicados en rojo.');
	} else {
		confimChange();
	}
}

function eraseFile(logotipo) {
	if (logotipo != '' && logotipo != undefined) {
		$.post(
				$('#btnLimpiar').attr('action'),
				{
					'fileName': logotipo,
					'id_usuario': $('#id_usuario').val()
				},
		function(response) {

		},
				'json'
				);
	}
}

function logoExist() {
	var logotipo = $('#logotipo').val();
	var url = $('#container').attr('log_url_ws') + logotipo;
	
	if (logotipo) {
		return url;
	} else {
		return "";
	}
}

function sendForm() {
	$.post(
		$('#container').attr('save_logo'),
		{
			'id_usuario' : $('#id_usuario').val(),
			'filename' : swfu.settings.post_params.finalName
		},
		function (response) {
			$('#logotipo').val(swfu.settings.post_params.finalName);
			
			var url = logoExist();
			
			if (url) {
				$('#img').attr("src", url + '?' + parseInt(Math.random() * 10000));
			} else {
				$('#img').attr("src", '');
			}
		},
		'json'
	);
}

function confimChange() {
	$.post(
			$('#btnSave').attr('_url'),
			$('#frmInput').serializeArray(),
			function(response) {
				if (!response.invalidPass) {
					$('#id_configuracion_cuenta').val(response.id);
					if (confirm(response.msg)) {
						oWinConf.close();
					} else {
						$('.contra').val('');
						$("#id_configuracion_cuenta").val(response.id);
					}
				} else {
					alert('Contraseña Incorrecta, favor de validar de nuevo.');
				}
			},
			'json'
			);
}



$('#btnOpenSAT').click(function() {
	//baseURL = $(this).attr('base_url');

	//loadJSFile(baseURL + 'ventanaSAT.js');
	$.post($(this).attr('_url'),
			{},
			function(html) {
				
				//loadJSFile(baseURL + 'jquery.form.js');
				loadJSFile(baseURL + 'ventanaSAT.js');
				$("#ConfigSAT").append("<div class='ConfigSAT'></div>");
				
				oWinConfSAT = $.newWindow({
					id: 'ConfigSAT',
					title: 'Datos SAT',
					height: 370,
					width: 600,
					posx: 180,
					posy: 120,
					content: html,
					modal: true,
					closeButton: true,
					draggable: true
				});
			}
	);


});
