<?php

/**
 * Este archivo abre el html y carga las variables correspondientes.
 * 
 */


require_once FS_CLASSES . 'PlantillasDAO.php';
require_once FS_CLASSES . 'ConfiguracionCuentaDAO.php';
require_once FS_CLASSES . 'UsuariosDAO.php';

$plantilla = new PlantillasDAO();
$configCuenta = new ConfiguracionCuentaDAO();
$objU = new UsuariosDAO();
// Array para elementos Option de unidades de medida
	$rowsRF = $RegF->listarRegimenFiscal();
	$rowsP = $plantilla->listarPlantillas();
	$daata = array_shift($objU->buscarUsuario($_SESSION['user']->id_usuario));
// Se carga el archivo html
//$oTpl->load(FS_CONFIGURACION_CONFIG_CUENTA . 'ventana.html');

	if( !file_exists( FS_DATA ) ){
		mkdir( FS_DATA );
		if( !file_exists( FS_DATA_PLANTILLAS ) ){
			mkdir( FS_DATA_PLANTILLAS );
		}
		if( !file_exists( FS_DATA_LOGOTIPOS ) ){
			mkdir( FS_DATA_LOGOTIPOS );
		}
	}

$rowConf = array_shift($configCuenta->cargaConfiguracionCuenta($_SESSION['user']->id_usuario));
	if( !$rowConf ){
		$urlImg = WS_FRAMEWORK . 'css/img/_defaultLoaderImage.jpg';

		$reg_fiscal_options = listForCombo($rowsRF, 'id_regimen_fiscal', 'descripcion');
		$plantillas = listForCombo($rowsP, 'id_plantilla', 'plantilla');
		// Se cargan las variables del archivo html
		$oTpl->setVar(
			array(
				'BASE_URL' => WS_CONFIGURACION_CONFIG_PLANTILLA_LOGO,
				'ID_USUARIO' => $_SESSION['user']->id_usuario,
				'ID_CONFIGURACION_CUENTA' => 0,
				'IMG' => $urlImg,
				'NOMBRE' => '',
				'RFC' => '',
				'P' => $daata['contrasenia'],
				'E_MAIL' => '',
				'TASA' => 16.00,
				'CALLE' => '',
				'NUM_EXT' => '',
				'NUM_INT' => '',
				'COLONIA' => '',
				'CODIGO_POSTAL' => '',
				'TELEFONOS' => '',
				'LOGOTIPO' => '',
				'ERASE' => '',
				'ALTO' => 0,
				'ANCHO' => 0,
				'POS_X' => 0,
				'POS_Y' => 0,
				'CONTRASENIA' => '',
				'NUEVA' => '',
				'CONFIRMAR' => '',
				'PLANTILLA_OPTIONS' => $plantillas,
				'REG_FISCAL_OPTIONS' => $reg_fiscal_options,
				'ESTADO_OPTIONS' => $estados->buildCombo(),
				'MUNICIPIO_OPTIONS' => '',
				'URL_LISTA_MUNICIPIOS' => 
					encodeQueryString(array('do' => FS_ADMON_CLIENTES . 'functions/loadMunicipios')),
				'ERASE' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'eraseFile')),
				'ACTION' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'saveRow')),
				'SAT'    => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'infoSat'))
			)
		);
	} else {
		foreach ($rowConf as $key => $value) {
			$nKey = strtoupper($key);
			$rows[$nKey] = $value;
		}
		
		if($rowConf['logotipo'] == ''){
			$urlImg = WS_FRAMEWORK . 'css/img/_defaultLoaderImage.jpg';
		} else {
			$urlImg = WS_DATA_LOGOTIPOS . $rowConf['logotipo'];
		}
		$reg_fiscal_options = listForCombo($rowsRF, 'id_regimen_fiscal', 'descripcion',$rowConf['id_regimen_fiscal']);
		$plantillas = listForCombo($rowsP, 'id_plantilla', 'plantilla',$rowConf['id_plantilla']);
		// Se cargan las variables del archivo html
			$extra = array(
				'BASE_URL' => WS_CONFIGURACION_CONFIG_PLANTILLA_LOGO,
				'IMG' => $urlImg,
				'CONTRASENIA' => '',
				'NUEVA' => '',
				'CONFIRMAR' => '',
				'P' => $daata['contrasenia'],
				'PLANTILLA_OPTIONS' => $plantillas,
				'REG_FISCAL_OPTIONS' => $reg_fiscal_options,
				'ESTADO_OPTIONS' => $estados->buildCombo($rowConf['id_estado']),
				'MUNICIPIO_OPTIONS' => $municipios->buildCombo($rowConf['id_estado'],$rowConf['id_municipio']),
				'URL_LISTA_MUNICIPIOS' => 
					encodeQueryString(array('do' => FS_ADMON_CLIENTES . 'functions/loadMunicipios')),
				'ERASE' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'eraseFile')),
				'ACTION' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'saveRow')),
				'SAT'    => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_PLANTILLA_LOGO . 'infoSat'))
			);
		$array = array_merge($rows, $extra);

		$oTpl->setVar($array);
	}

$oTpl->publish();
?>