<?php

/**
 * Este archivo carga el base del html, y establece las variables a utilizar del mismo.
 * 
 */

// Se carga el archivo html
$oTpl->load(FS_CONFIGURACION_CONFIG_CUENTA . 'ventanaSAT.html');


require_once FS_CLASSES . 'ConfiguracionCuentaDAO.php';
$configCertificado = new ConfiguracionCuentaDAO();

$rowConf = array_shift($configCertificado->cargaCertificado($_SESSION['user']->id_usuario));


if (!$rowConf) {
	$oTpl->setVar(
			array(
				'RFC' => '',
				'SERIE' => '',
				'VIGENCIA_DESDE' => '',
				'VIGENCIA_HASTA' => ''
			)
	);
} else {
	$oTpl->setVar(
			array(
				'RFC' => $rowConf['rfc'],
				'SERIE' => $rowConf['numero_certificado'],
				'VIGENCIA_DESDE' => $rowConf['vigencia_desde'],
				'VIGENCIA_HASTA' => $rowConf['vigencia_hasta']
			)
	);
	
}

$oTpl->publish();



?>