<?php
/**
 * Este archivo carga el base del html, y establece las variables a utilizar del mismo.
 * 
 */
require_once(FS_CLASSES . 'FolioDAO.php');

$post = array_utf8Decode($_POST);
$oTpl->load(FS_CONFIGURACION_CONFIG_SERIES . 'series.html');

$oFolio = new FolioDAO();
$_rs = $oFolio->foliosCuenta($_SESSION['user']->id_usuario);

$oTpl->setVar(
	array(
		'BASEURL' => WS_CONFIGURACION_CONFIG_SERIES,
		'FRAMEWORKURL' => WS_FRAMEWORK . 'js/',
		'IDUSUARIO' => $_SESSION['user']->id_usuario,
		'ACTION_SAVE' => encodeQueryString(array('do' => FS_CONFIGURACION_CONFIG_SERIES . 'updateSeries'))
	)
);

if (count($_rs) > 0) {
	$oTpl->getBlock('SERIEFOLIO');
	
	foreach($_rs AS $row) {
		$oTpl->setVar(
			array(
				'IDTIPO' => $row['id_tipo_comprobante'],
				'IDTIPOCOMPROBANTE' => $row['id_tipo_comprobante'],
				'TIPOCOMPROBANTE' => $row['descripcion'],
				'SERIE' => $row['serie'],
				'FOLIO' => $row['folio']
			)
		);
		$oTpl->appendBlock();
	}
	
	$oTpl->putBlock('SERIEFOLIO');
}

$oTpl->publish();
?>