<?php

/**
 * Carga la plantilla HTML a mostrar al usuario
 */
require_once (FS_CLASSES . 'FacturasDAO.php');
require_once (FS_CLASSES . 'ClienteDAO.php');
require_once (FS_CLASSES . 'SucursalDAO.php');
require_once (FS_CLASSES . 'UnidadMedidaDAO.php');
require_once (FS_CLASSES . 'FormaPagoDAO.php');
require_once (FS_CLASSES . 'ModalidadPagoDAO.php');
require_once (FS_CLASSES . 'ProductoServicioDAO.php');
require_once (FS_CLASSES . 'TipoComprobanteFiscalDAO.php');

$oTpl->load(FS_LISTADO_FACTURAS . 'capturaSimple/editar/editar.html');

$oCli = new ClienteDAO();
$oSuc = new SucursalDAO();
$oUni = new UnidadMedidaDAO();
$oFor = new FormaPagoDAO();
$oMod = new ModalidadPagoDAO();
$oPro = new ProductoServicioDAO();
$oTco = new TipoComprobanteFiscalDAO();

$id_comprobante = $_POST['nId_factura'];

$obj = new FacturasDAO();
$row = array_shift($obj->listarFactura($id_comprobante));
$obj->setProperties($row);

$id_usuario = $_SESSION['user']->id_usuario;
$comprobante = array_shift($oTco->listarTipoComprobanteFiscal($_POST['comprobante']));

$oTpl->setVar(
	array(
		'ID_USUARIO'=>$id_usuario,
		'TIPO_COMPROBANTE' => $comprobante['id_tipo_comprobante'],
		'ACTION' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/editar/updateRow')),
		'TASA_IVA' => $obj->get_tasa_iva(),
		'LISTA_CLIENTE'=> $oCli->buildCombo($obj->get_cliente()),
		'METODO_PAGO'=>$oMod->buildCombo($obj->get_metodo_pago()),
		'LISTA_SUCURSALES'=> $oSuc->buildCombo($obj->get_sucursal_emisora()),
		'INFO_SUCURSAL' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'sucursales')),
		'INFO_CLIENTE' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'sucursales')),
		'LISTA_UNIDADES' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'unidades')),
		//'LISTA_UNIDAD' => $oUni->buildCombo(),
		'GRID_URL' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'loadRows')),
		'LOAD_GRID_CONCEPTOS' => encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/editar/loadRows')),
		'OBSERVACIONES'=>$obj->get_observaciones(),
		'FORMA_PAGO'=>	$oFor->buildCombo($obj->get_forma_pago()),
		'DIGITOS_TARJETA'=>$obj->get_digitos_tarjeta(),
		'DESCRIPCION_PRODUCTO_SERVICIO'=> $oPro->buildCombo(),
		'URL_PRODUCTOS_SERVICIOS'=> encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'ComboProdServ')),
		'OBTENER_DIGITOS'=>encodeQueryString(array('do' => FS_LISTADO_FACTURAS . 'capturaSimple/agregar/obtenerDigitos'))
	)
);

//-- Verificaion de Permisos Especiales
$oTpl->removeBlock('EDITA_IVA', $oPerfil->tienePermiso('PE_EDITAR_IMPORTE_IVA'));
$oTpl->removeBlock('EDITA_RETENCION_IVA', $oPerfil->tienePermiso('PE_EDITAR_RETENCION_IVA'));
	
$oTpl->publish();
?>