<?php

/**
 * Regresa en formato json los registros a listar en el grid
 */
require_once(FS_CLASSES . 'FacturasDAO.php');
$obj2 = new FacturasDAO();
$row_factura = $obj2->obtenerInformacionFactura($_POST['nId_factura']);
$rows_conceptos = $obj2->listarConceptos($_POST['nId_factura']);

$cant = count($rows_conceptos);


for ($i = 0; $i < $cant; $i++) {
	if ($rows_conceptos[$i]['precio_unitario'] > 0) {
		$rows_conceptos[$i]['precio_unitario'] = pesos($rows_conceptos[$i]['precio_unitario'], 6);
	}

	if ($rows_conceptos[$i]['ieps'] > 0) {
		$rows_conceptos[$i]['ieps'] = pesos($rows_conceptos[$i]['ieps'], 6);
	}

	if ($rows_conceptos[$i]['retencion_iva'] > 0) {
		$rows_conceptos[$i]['retencion_iva'] = pesos($rows_conceptos[$i]['retencion_iva'], 6);
	}

	if ($rows_conceptos[$i]['retencion_isr'] > 0) {
		$rows_conceptos[$i]['retencion_isr'] = pesos($rows_conceptos[$i]['retencion_isr'], 6);
	}

	if ($rows_conceptos[$i]['retencion_ieps'] > 0) {
		$rows_conceptos[$i]['retencion_ieps'] = pesos($rows_conceptos[$i]['retencion_ieps'], 6);
	}

	if ($rows_conceptos[$i]['tasa_iva'] > 0) {
		$rows_conceptos[$i]['tasa_iva'] = substr($rows_conceptos[$i]['tasa_iva'], 0, strlen($rows_conceptos[$i]['tasa_iva']) - 4) . "%";
	}

	if ($rows_conceptos[$i]['importe'] > 0) {
		$rows_conceptos[$i]['importe'] = pesos($rows_conceptos[$i]['importe'], 6);
	}
}

$result['factura'] = array(
	'subtotal' => $row_factura['subtotal'],
	'iva' => $row_factura['iva'],
	'retencion_iva' => $row_factura['retencion_iva'],
	'retencion_isr' => $row_factura['retencion_isr'],
	'retencion_ieps' => $row_factura['retencion_ieps'],
	'ieps' => $row_factura['ieps'],
	'total' => $row_factura['total'],
);

if(isset($_POST['nTipo_formulario']) && $_POST['nTipo_formulario'] == '1'){
	$row_count = count($rows_conceptos);
	for($i = 0; $i < $row_count; $i++){
		unset($rows_conceptos[$i]['tasa_iva']);
		unset($rows_conceptos[$i]['ieps']);
		unset($rows_conceptos[$i]['retencion_iva']);
		unset($rows_conceptos[$i]['retencion_isr']);
		unset($rows_conceptos[$i]['retencion_ieps']);
	}
}

$result['data'] = dataToGrid($rows_conceptos, false, null, null, 'precio_unitario,importe');

echo json_encode_utf8($result);
?>