<?php

/**
 * Descargar el XML de una factura
 */
require_once FS_CLASSES . 'FacturasDAO.php';

$oFactura = new FacturasDAO();
$info = $oFactura->getFolioFactura($_POST['id_factura']);
$info += $oFactura->obtenerInfoTimbrado($_POST['id_factura']);

$serie = empty($info['serie']) ? '' : $info['serie'] . '-';
$name = FS_TEMP . 'Factura_' . $serie . $info['folio'] . '_' . rand(1000, 9999). '.xml';
$result['url'] = WS_FRAMEWORK . 'downloadFile.php?file_name=' . $name;

$xml = str_replace('&#xA;','',$info['xml']);

saveUTF8File($name, $xml);
echo json_encode($result);
?>