<?php

require_once (FS_FRAMEWORK . 'swift/lib/swift_required.php');
require_once(FS_CLASSES . 'FacturasDAO.php');
$fac = new FacturasDAO();

$id_factura = $_POST['nId_factura'];
$mail = $_POST['mail'];
$message = 'enviado';
$enviar = true;


$pdf = require_once FS_LISTADO_FACTURAS . 'imprimir/imprimirFactura.php';
$pdf = json_decode($pdf);
$res = $fac->obtenerInfoTimbrado($id_factura);
$xml = str_replace('&#xA;','',$res['xml']);

$folio_factura = $res['folio'];
if (!file_exists(FS_TEMP))
	mkdir(FS_TEMP);

$name_xml = FS_TEMP . "factura_" . $folio_factura . ".xml";
$name_pdf = FS_TEMP . $pdf->name_file;

$doc_xml = new DOMDocument();
$doc_xml->loadXML(utf8_encode($xml));
$doc_xml->saveXML();
$file = $doc_xml->save($name_xml);


// Valida si existe el archivo "mail.config".
if (file_exists(FS_CONFIG . 'utils/mail_config/mail.config')) {
	if ($mail != '') {
		$file = fopen(FS_CONFIG . 'utils/mail_config/mail.config', 'r');
		$info = fread($file, filesize(FS_CONFIG . 'utils/mail_config/mail.config'));
		$cnx = explode('|', $info);

		$oTrans = new Swift_SmtpTransport($cnx[0], $cnx[1]);
		$oTrans->setUsername($cnx[2]);
		$oTrans->setPassword($cnx[3]);

		$oMailer = new Swift_Mailer($oTrans);

		$url = preg_replace('/(http:\/\/.+\/)(src\/.*)/i', '$1', $_SERVER['HTTP_REFERER']);

		$msg = "
	Se anexa el siguiente comprobante fiscal digital en los siguientes formatos:  \n\n
		*  PDF:  ".$pdf->name_file." \n
		*  XML:  factura_" . $folio_factura . ".xml
		\n\n
	Se anexan los archivos PDF y XML esto como complemento de esquema de Facturacion WEB";
		
	
		
		$oMsg = new Swift_Message('INVOICING - ENVIO DE FACTURA');
		$oMsg->setFrom(array($cnx[2] => 'Softnet Invoicing'));

		// Archivos Adjuntos
		if (isset($name_xml) && isset($name_pdf)) {
			$params['attachment'] = array($name_xml, $name_pdf);
			$attachment = $params['attachment'];
			foreach ($attachment as $attach) {
				if (is_file($attach)) {
					$oMsg->embed(Swift_Image::fromPath($attach));
				}
			}
		}
		$list_mail = explode(";",trim($mail));
		$oMsg->setTo($list_mail);
		$oMsg->setBody($msg);
		$result = $oMailer->send($oMsg);
		unlink($name_pdf);
		unlink($name_xml);
		unlink(FS_TEMP . "cbb" . $id_factura . ".jpg");
		echo $result;
	} else {
		$result = "Debe ingresar un correo electronico";
		echo $result;
	}
}
?>