<?php
/**
 * Este archivo carga el base del html, y establece las variables a utilizar del mismo.
 * 
 */

require_once(FS_CLASSES . 'PaqueteDAO.php');
$info_paquete = new PaqueteDAO();
$paquete_usuario = $info_paquete->getPaqueteCuenta($_SESSION['user']->id_usuario);
if( empty($paquete_usuario['cantidad']) || count($paquete_usuario)<= 0){
    $no_disponible = "LO SENTIMOS, NO CUENTA CON UN PAQUETE ACTIVO";
}else{
    $no_disponible = "";
}
$oTpl->load(FS_APP . 'inicio.html');

$oTpl->setVar(
	array(
		'WSINICIO' => WS_APP,
		'NO_DISPONIBLE' => $no_disponible,
		'TICKET_TOT' => (!empty($paquete_usuario['cantidad'])?$paquete_usuario['cantidad']:'No disponible'),
		'TICKET_UTI' => (!empty($paquete_usuario['utilizados'])?$paquete_usuario['utilizados']:'No disponible'),
		'TICKET_DIS' => (!empty($paquete_usuario['restantes'])?$paquete_usuario['restantes']:'No disponible'),
		'TICKET_VIG' => (!empty($paquete_usuario['vigencia_fin'])?$paquete_usuario['vigencia_fin']:'No disponible')
	)
);

$oTpl->publish();
?>