<?php
//-- Iniciar sesión en el sistema
require(FS_CLASSES . 'login.class.php');
require(FS_CLASSES . 'UsuariosDAO.php');

$oLogin = new Login($oDB);
$result = $oLogin->validarInformacion($_POST['login']);

if ($result['result'] == 'OK') {
	//-- Datos del Usuario en Session
	$oUsuario = new UsuariosDAO($oDB);
	$oUsuario->setId_user($result['data']);
	$_SESSION['user'] = (object) $oUsuario->getUserInfo();
	$oUser = $_SESSION['user'];
	$_SESSION['checksum'] = sessionHash($oUser);
	
	//-- Registro de fecha y hora en que acceso el usuario
	$oUsuario->registrarSesion();

	header('location: ' . encodeQueryString(array('do' => FS_APP . 'loadForm')));
} else {
	require(FS_LOGIN . 'loadForm.php');
}
?>