<?php
/**
 * Este archivo permite realizar las acciones necesarias para recuperar la contrasenia.
 * 
 */
require_once (FS_FRAMEWORK . 'swift/lib/swift_required.php');
require(FS_CLASSES . 'UsuariosDAO.php');

$obj = new UsuariosDAO();
$form = $_POST;
$data = $obj->findUserByEmail($form['email']);
/*
 * -2 => Usuario sin correo
 * -1 => Usuario no encontrado
 *  0 => Correo no enviado
 * >1 => Correo enviado
 */

// Valida si existe el archivo "mail.config".
if(file_exists(FS_CONFIG . 'utils/mail_config/mail.config')){
	if($data != ''){
		if($data['e_mail'] != ''){

			$file = fopen(FS_CONFIG . 'utils/mail_config/mail.config', 'r');
			$info = fread($file,  filesize(FS_CONFIG . 'utils/mail_config/mail.config'));
			$cnx = explode('|',$info);

			$oTrans = new Swift_SmtpTransport($cnx[0],$cnx[1]);
			$oTrans->setUsername($cnx[2]);
			$oTrans->setPassword($cnx[3]);

			$oMailer = new Swift_Mailer($oTrans);
			
			$url = preg_replace('/(http:\/\/.+\/)(src\/.*)/i', '$1', $_SERVER['HTTP_REFERER']);

			$msg = "Estimado ". $data['nombre'] .", \n".
				"\n".
				"En respuesta a su solicitud de recuperación de contraseña,a continuación ".
				"le proporcionamos los datos que actualmente tiene registrados en la aplicación:".
				"\n".
				"\n".
				"Usuario: ". $data['usuario'] ."".
				"\n".
				"Contraseña: ". $data['contrasenia'] .
				"\n".
				"\n".
				"Puede ingresar a ". $url ." para iniciar una sesión de ".
				"trabajo con la información proporcionada.";

			$oMsg = new Swift_Message('FACTURACIONCBB - ENVIO DE CONTRASEÑA');
			$oMsg->setFrom(array($cnx[2] => 'Facturación CBB'));
			$oMsg->setTo(array($data['e_mail'] => $data['nombre']));
			$oMsg->setBody($msg);

			$result = $oMailer->send($oMsg);
			echo $result;

		} else {
			echo -2;
		}
	} else {
		echo -1;
	}
} else {
	echo 0;
}

?>