<?php
/**
 * Clase para logeo
 * @author Eliud Trejo
 */
class Login extends DBConnector
{
	/**
	* Función que valida la información.
	* @param $user usuario a validar
	*/
	public function validarInformacion($user)
	{
		$_result = array(
			'result' => 'Error',
			'data' => ''
		);
		
		if (trim($user['usuario']) == '') $_result['data'] = 'Usuario no puede estar en blanco.';
		elseif (trim($user['contrasenia']) == ''){
			$_result['data'] = 'Contrase&ntilde;a no puede estar en blanco.';
		}
		else {
			$sql = "
				SELECT *
				FROM cat_usuarios
				WHERE BINARY usuario = :usuario
					and BINARY contrasenia = :contrasenia
			";
			
			if (($res = $this->query($sql, $user))) {
				$row = array_shift($res);
				
				if ($row['activo']) {
					$_result['result'] = 'OK';
					$_result['data'] = $row['id_usuario'];
				} else {
					$_result['data'] = 'Usuario desactivado.';
				}
			} else {
				$_result['data'] = 'Usuario o contrase&ntilde;a incorrecta.';
			};
		}
		
		return $_result;
	}
}
?>